/**
 * Created by xingjie on 2016/10/12.
 */
import React from 'react'
import Button from "./_base/Button"
import PropTypes from 'prop-types'
import {withStyles} from '@material-ui/core/styles'

const styles = theme => ({})

const Pagination = props => {

  const {
    classes,
    current, pageSize, recordCount,
    handleChangePage, setPageSize
  } = props

  const first = 1
  const prev = current === 1 ? 1 : current - 1
  const last = Math.ceil(recordCount / pageSize)
  const next = current === last ? last : (current + 1)
  const page_count = Math.ceil(recordCount / pageSize)

  const _handleChangePage = handleChangePage || (page => {
  })
  const _setPageSize = setPageSize || (page => {
  })

  return (
    <div align="right" className="noprint">
      <Button
        disabled={current === first}
        onClick={() => _handleChangePage(first)}
      >首页</Button>
      <Button
        disabled={first === current}
        onClick={() => {
          _handleChangePage(prev)
        }}>前一页</Button>
      <Button> [第{current}页/共{page_count}页] </Button>
      <Button
        disabled={last === current}
        onClick={() => {
          _handleChangePage(next)
        }}>下一页</Button>
      <Button
        disabled={current === last}
        onClick={() => _handleChangePage(last)}
      >末页</Button>
      <Button
        onClick={_setPageSize}
      >每页{pageSize}条</Button>
      <Button>共{recordCount}条</Button>
    </div>
  )
}

Pagination.propTypes = {
  handleChangePage: PropTypes.func,
  setPageSize: PropTypes.func
}

export default withStyles(styles)(Pagination)