const path = require('path')

module.exports = {
  entry: path.join(__dirname, "./src/index.js"),
  output: {
    path: path.join(__dirname, "./lib"),
    libraryTarget: "umd",
    library: "xxcx-ui-com",
    filename: "index.js"
  },
  module: {
    rules: [{
      test: /\.(js|jsx)$/,
      use: "babel-loader",
      exclude: /node_modules/
    }]
  },
  externals: {
    'react': 'react',
    'react-dom': 'react-dom',
    '@material-ui/core': '@material-ui/core',
    '@material-ui/icons': '@material-ui/icons'
  },
  resolve: {
    extensions: [".js", ".jsx"]
  }
}
